aboutsummaryrefslogtreecommitdiffstats
path: root/extra/mini_httpd/APKBUILD
diff options
context:
space:
mode:
Diffstat (limited to 'extra/mini_httpd/APKBUILD')
-rw-r--r--extra/mini_httpd/APKBUILD45
1 files changed, 45 insertions, 0 deletions
diff --git a/extra/mini_httpd/APKBUILD b/extra/mini_httpd/APKBUILD
new file mode 100644
index 0000000000..2751979769
--- /dev/null
+++ b/extra/mini_httpd/APKBUILD
@@ -0,0 +1,45 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=mini_httpd
+pkgver=1.19
+pkgrel=0
+pkgdesc="Small forking webserver with ssl and ipv6 support"
+url="http://www.acme.com/software/mini_httpd/"
+license="BSD"
+depends="uclibc openssl"
+makedepends="openssl-dev"
+subpackages="$pkgname-doc"
+source="http://www.acme.com/software/mini_httpd/$pkgname-$pkgver.tar.gz
+ $pkgname.confd
+ $pkgname.conf.sample
+ $pkgname.initd
+ "
+
+build() {
+ cd "$srcdir/$pkgname-$pkgver"
+ make CFLAGS="${CFLAGS} -DUSE_SSL" \
+ LDFLAGS="${LDFLAGS}" \
+ SSL_LIBS="-lssl -lcrypto" \
+ || return 1
+# SSL_DEFS="-DUSE_SSL" \
+
+ # does not respect DESTDIR
+ make install \
+ BINDIR="$pkgdir"/usr/sbin \
+ MANDIR="$pkgdir"/usr/share/man
+
+ # rename htpasswd to mini_htpasswd
+ mv "$pkgdir"/usr/sbin/htpasswd "$pkgdir"/usr/sbin/mini_htpasswd
+ mv "$pkgdir"/usr/share/man/man1/htpasswd.1 \
+ "$pkgdir"/usr/share/man/man1/mini_htpasswd.1
+
+ mkdir -p "$pkgdir"/var/www/localhost/htdocs
+ install -D -m644 ../mini_httpd.conf.sample \
+ "$pkgdir"/etc/mini_httpd.conf
+ install -D -m755 ../mini_httpd.initd "$pkgdir"/etc/init.d/mini_httpd
+ install -D -m644 ../mini_httpd.confd "$pkgdir"/etc/conf.d/mini_httpd
+}
+
+md5sums="7c68293ad265ecfe2edea917912f6f1f mini_httpd-1.19.tar.gz
+8ec70211497d79a26d33006b0ce19aa0 mini_httpd.confd
+fd62c1809f658400acf2082eacd08bb8 mini_httpd.conf.sample
+ec52d2db1ce52f1b088d474aeefe9da8 mini_httpd.initd"